View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000361aMuleExternal Connpublic2005-04-07 20:172005-04-21 16:41
Reportersantiga 
Assigned ToGonoszTopi 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in Version 
Summary0000361: Crash in ECSocket::WritePacket
Description--------------------------------------------------------------------------------
Oops, aMule crashed!
Hey, stop crying! You wanted the edge, and now you fell down?!
Please, post the following lines, on the aMule Crashes forum on:
    http://forum.amule.org/board.php?boardid=67&sid=/ [^]
You should also try to generate a real backtrace of this error, please read:
    http://www.amule.org/wiki/index.php/Backtraces [^]
----------------------------=| BACKTRACE FOLLOWS: |=----------------------------

aMule version is: CVS using wxGTK1 v2.4.2 (Snapshot: Wed Apr 6 07:01:21 CEST 2005)
Running on: Linux 2.4.18-14 i686

[0] otherfunctions::print_backtrace(unsigned char) in OtherFunctions.cpp:1062
[1] CamuleApp::OnFatalException() in amule.cpp:1248
[2] wxFatalSignalHandler in /usr/lib/libwx_gtk-2.4.so.0[0x4b9a082]
[3] ?? in /lib/tls/libpthread.so.0 [0xbf98d8]
[4] InitBuffers(socket_desc*) in ECSocket.cpp:227
[5] ECSocket::WritePacket(wxSocketBase*, CECPacket const*) in ECSocket.cpp:742
[6] ExternalConn::OnSocketEvent(wxSocketEvent&) in ExternalConn.cpp:189
[7] wxEvtHandler::SearchEventTable(wxEventTable&, wxEvent&) in /usr/lib/libwx_gtk-2.4.so.0[0x4acffa2]
[8] wxEvtHandler::ProcessEvent(wxEvent&) in /usr/lib/libwx_gtk-2.4.so.0[0x4acfdcf]
[9] wxEvtHandler::ProcessPendingEvents() in /usr/lib/libwx_gtk-2.4.so.0[0x4acfd0b]
[10] wxAppBase::ProcessPendingEvents() in /usr/lib/libwx_gtk-2.4.so.0[0x4a86899]
[11] wxApp::OnIdle(wxIdleEvent&) in /usr/lib/libwx_gtk-2.4.so.0[0x4a3497f]
[12] wxEvtHandler::SearchEventTable(wxEventTable&, wxEvent&) in /usr/lib/libwx_gtk-2.4.so.0[0x4acffa2]
[13] wxEvtHandler::ProcessEvent(wxEvent&) in /usr/lib/libwx_gtk-2.4.so.0[0x4acfdcf]
[14] wxApp::ProcessIdle() in /usr/lib/libwx_gtk-2.4.so.0[0x4a34901]
[15] ?? in /usr/lib/libwx_gtk-2.4.so.0 [0x4a3424f]
[16] ?? in /usr/lib/libglib-1.2.so.0 [0x5ee55b]
[17] ?? in /usr/lib/libglib-1.2.so.0 [0x5ed287]
[18] ?? in /usr/lib/libglib-1.2.so.0 [0x5edf13]
[19] g_main_run in /usr/lib/libglib-1.2.so.0[0x5ee0e5]
[20] gtk_main in /usr/lib/libgtk-1.2.so.0[0x81e232]
[21] wxApp::MainLoop() in /usr/lib/libwx_gtk-2.4.so.0[0x4a34b32]
[22] wxAppBase::OnRun() in /usr/lib/libwx_gtk-2.4.so.0[0x4a86750]
[23] wxEntry(int, char**) in /usr/lib/libwx_gtk-2.4.so.0[0x4a3520d]
[24] main in amule-gui.cpp:40
[25] __libc_start_main in /lib/tls/libc.so.6[0xa99e33]
[26] wxScrolledWindow::AdjustScrollbars() in ./amule[0x817b711]

--------------------------------------------------------------------------------
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships
has duplicate 0000360closed another serious crash from aMule-CVS 

-  Notes
(0000843)
GonoszTopi (administrator)
2005-04-10 11:40

Could you please create a real backtrace from this?
(0000844)
santiga (reporter)
2005-04-10 12:02

What I have to do exactly ?

Can you help me on it ?
(0000846)
GonoszTopi (administrator)
2005-04-10 16:51
edited on: 2005-04-10 16:52

Read http://www.amule.org/wiki/index.php/Backtraces [^]

You have to recompile aMule with debugging enabled.
Then, run 'gdb amule'
At the gdb prompt:
(gdb) run
and when it crashes:
(gdb) bt
(gdb) bt full

Post the output of the last two commands in the backtraces forum http://forum.amule.org/board.php?boardid=33&sid= [^] and put here a link to the thread you created.

edited on: 04-10-05 16:51

edited on: 04-10-05 16:52
(0000878)
Xaignar (manager)
2005-04-21 16:41

This issue should be fixed as of now thanks to a commit by lfroen:
"Fix crash in EC: unregister socket only in dtor to ensure that no more events left"

Please open another bug if this issue persists.

Cheers,
 Xaignar

- Issue History
Date Modified Username Field Change
2005-04-07 20:17 santiga New Issue
2005-04-08 00:49 Xaignar Relationship added has duplicate 0000360
2005-04-08 00:52 Xaignar Summary Sorry for repeat, but I have forgot header infos => Crash in ECSocket::WritePacket
2005-04-08 00:53 Xaignar Category Servers => External Conn
2005-04-10 02:04 GonoszTopi Status new => assigned
2005-04-10 02:04 GonoszTopi Assigned To => GonoszTopi
2005-04-10 11:40 GonoszTopi Note Added: 0000843
2005-04-10 11:40 GonoszTopi Status assigned => feedback
2005-04-10 12:02 santiga Note Added: 0000844
2005-04-10 16:51 GonoszTopi Note Added: 0000846
2005-04-10 16:51 GonoszTopi Note Edited: 0000846
2005-04-10 16:52 GonoszTopi Note Edited: 0000846
2005-04-21 16:41 Xaignar Status feedback => resolved
2005-04-21 16:41 Xaignar Resolution open => fixed
2005-04-21 16:41 Xaignar Note Added: 0000878


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker